using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.BaseData.Domain.Enums
{
    /// <summary>
    /// 平台类型
    /// </summary>
    public enum PFPlatTypeEnum
    {
        /// <summary>后台</summary>
        后台 = 0,
        /// <summary>客户端</summary>
        客户端 = 1,
        /// <summary>APP</summary>
        APP = 2,
    }

    /// <summary>
    /// 表单类型
    /// </summary>
    public enum PFFormTypeEnum
    {
        /// <summary>列表表单</summary>
        列表表单 = 0,
        /// <summary>编辑表单</summary>
        编辑表单 = 1,
        /// <summary>树形编辑页</summary>
        树形编辑页 = 2,
        /// <summary>图表表单</summary>
        图表表单 = 3,
        /// <summary>图片表单</summary>
        图片表单 = 4,
        /// <summary>外部链接</summary>
        外部链接 = 5,
        /// <summary>横向树编辑页</summary>
        横向树编辑页 = 6,
        /// <summary>组合表单</summary>
        组合表单 = 7,
        /// <summary>组合表单</summary>
        可编辑列表表单 = 8,
        /// <summary>自定义表单</summary>
        自定义表单 = 99,
    }

    /// <summary>模块划分</summary>
    public enum PFModuleTypeEnum
    {
        [Description("HM")]
        首页模板 = -1,
        [Description("PF")]
        平台管理 = 0,
        [Description("BD")]
        基础数据 = 1,
        [Description("EM")]
        能源监测 = 2,
        [Description("ED")]
        能源调度 = 3,
        [Description("FM")]
        工厂建模 = 4,
        [Description("PM")]
        计划管理 = 5,
        [Description("EA")]
        能源核算 = 6,
        [Description("QC")]
        能源质量 = 7,
        [Description("MR")]
        资源管理 = 8,
        [Description("FC")]
        财务计费 = 9,
        [Description("DD")]
        数据对接 = 10,
        [Description("LG")]
        日志管理 = 12,
        [Description("NW")]
        通知预警 = 13,
        [Description("KR")]
        看板报表 = 14,
        [Description("CP")]
        充电桩 = 15,
        [Description("CM")]
        充电监控 = 16,
        [Description("SO")]
        订单管理 = 17,
        [Description("CA")]
        报警管理 = 18,
        [Description("MT")]
        维修保养 = 19,
        [Description("MB")]
        移动管理 = 20,
        [Description("MT")]
        会议管理 = 21,
        //[Description("TI")]
        //安全投入 = 22,
        //[Description("AE")]
        //事故事件 = 22,
        //[Description("OH")]
        //职业卫生 = 25,
        [Description("CM")]
        应急管理 = 25,
        [Description("DM")]
        机电管理 = 27,
        [Description("BI")]
        BI展示 = 28,
        //[Description("TL")]
        //尾矿库 = 29,
    }

    /// <summary>
    /// 用户类型
    /// </summary>
    public enum PFUserTypeEnum
    {
        普通用户 = 0,

        管理员 = 99,
    }



    public enum PFFormConfigVersionEnum
    {
        Form = 0,
        Btn = 1,
        Column = 2,
        EditColumn = 3,
        EditColumnFillMap = 4,
        EditColumnFillMapDetail = 5,
        EditColumnFilter = 6,
        PageCustom = 7,
        PageEdit = 8,
        PageTable = 9,
        PageTree = 10,
        Query = 11,
        TableParams = 12,
        TreeColumn = 13,
        PageEditPanel = 14,
        PageChart = 15,
        PageChartParam = 16,
        ColumnFilter = 17,
        FormQuery = 18,
        PageTablePanel = 19,
        ParamItem = 20,
        ParamScheme = 21,
    }
}
